PAPI_query_named_event(3)

NAME
PAPI_query_named_event -

Query if a named PAPI event exists.

SYNOPSIS

Detailed Description

C Interface:
    #include <papi.h>
     int PAPI_query_named_event(const char *EventName);

PAPI_query_named_event() asks the PAPI library if the PAPI named event can be counted on this architecture. If the event CAN be counted, the function returns PAPI_OK. If the event CANNOT be counted, the function returns an error code. This function also can be used to check the syntax of native and user events.

Parameters:
    EventName -- a defined event such as PAPI_TOT_INS.

Return values:
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ENOEVNT The PAPI preset is not available on the underlying hardware.

Examples

    * int retval;
    * // Initialize the library
    * retval = PAPI_library_init(PAPI_VER_CURRENT);
    * if (retval != PAPI_VER_CURRENT) {
    *   fprintf(stderr,
    *   exit(1);
    * }
    * if (PAPI_query_named_event("PAPI_TOT_INS") != PAPI_OK) {
    *   fprintf(stderr,
    *   exit(1);
    * }
    *

See Also:
    PAPI_query_event

Author

Generated automatically by Doxygen for PAPI from the source code.